<?php
session_start();
require_once("include/config.inc.php");
require_once("include/access.inc.php");
require_once("include/menu.inc.php");
require_once("include/steam.inc.php");
require_once("include/sql.inc.php");
require_once("include/logfunc.inc.php");
require_once("include/functions.inc.php");
require_once("include/geoip.inc");
require_once("include/thumbs.inc.php");

// Template generieren
$title = "_TITLEBANLIST";
$smarty = new dynamicPage;
$user_site="";
if(isset($_GET["bid"]) || is_numeric($_GET["bid"])) {
	$_POST["bid"] = $_GET["bid"];
	$tmp = "bd";
}

//user page loader
if(isset($_POST["bid"])) {
        isset($_POST["details_x"])?$tmp="bd":""; //ban details
        isset($_POST["edit_x"])?$tmp="be":""; //ban edit
        if(file_exists("include/user/user_".$tmp.".php")) {
                $user_site=$tmp;
                include("include/user/user_".$tmp.".php");
        }
}

//create default ban list and show it
if(!$user_site) {
        //count activ bans
        $query = mysql_query("SELECT COUNT(bid) FROM `".$config->db_prefix."_bans` WHERE `expired`=0") or die (mysql_error());
        $ban_count[0]=mysql_result($query,0);
        //count all bans
        $query = mysql_query("SELECT COUNT(bid) FROM `".$config->db_prefix."_bans`") or die (mysql_error());
        $ban_count[1]=mysql_result($query,0);
        //calc max sites
        $ban_page_max=ceil($ban_count[0] / 5);
    if(isset($_REQUEST["site"])) $page=(int)$_REQUEST["site"];
    if(isset($_REQUEST["siteback_x"])) $page=(int)$_REQUEST["site"];
    if(isset($_REQUEST["sitenext_x"])) $page=(int)$_REQUEST["site"];
    if(isset($_REQUEST["sitestart_x"])) $page=1;
    if(isset($_REQUEST["siteend_x"])) $page=$ban_page_max;
        //check if site nr is valid
        $ban_page_curr=($page==0 || $page>$ban_page_max) ? 1:$page;
        //calc mysql limits from current site
        $min=(5 * $ban_page_curr)-5;
        //build array with site info
        $ban_page=array(
                "current"       => $ban_page_curr,            //current site
                "max_page"      => ($ban_page_max)? $ban_page_max:1,      //last site
                "per_page"      => 5,    //bans per page
                "first_ban"     => ($ban_count[0])? $min + 1:$min,            //+1: LIMIT 0 is the first ban
                "max_ban"       => $ban_count[0],                  //count activ bans
                "all_ban"       => $ban_count[1]                     //count all bans
        );
        //get bans for current page
        $query  = mysql_query("SELECT ba.*, se.gametype,se.timezone_fixx, aa.id as admin_id2, aa.username FROM `".$config->db_prefix."_bans` AS ba
                                LEFT JOIN `".$config->db_prefix."_serverinfo` AS se ON ba.server_ip=se.address
                                LEFT JOIN `".$config->db_prefix."_amxadmins` AS aa ON (aa.steamid=ba.admin_nick OR aa.steamid=ba.admin_ip OR aa.steamid=ba.admin_id OR aa.nickname=ba.admin_nick)
                                WHERE ba.expired=0 ORDER BY ban_created DESC LIMIT ".$min.",".$config->bans_per_page) or die(mysql_error());
        //build ban list array
        $ban_list=array();
        while($result = mysql_fetch_object($query)) {
                if($result->expired==1) continue;
                $steamid="";
                $steamcomid="";
                if(!empty($result->player_id)) {
                        $steamid = htmlentities($result->player_id, ENT_QUOTES);
                        $steamcomid = GetFriendId($steamid);
                }
                $gi="";
                $cc="";
                $cn="";
                if(!empty($result->player_ip)) {
                        $gi = geoip_open($config->path_root."/include/GeoIP.dat",GEOIP_STANDARD);
                        $cc = geoip_country_code_by_addr($gi, $result->player_ip);
                        $cn = geoip_country_name_by_addr($gi, $result->player_ip);
                        geoip_close($gi);
                }
                $ban_row=array(
                        "bid"		=> $result->bid,
                        "player_ip"	=> $result->player_ip,
                        "player_id"	=> $result->player_id,
                        "player_comid"	=> $steamcomid,
                        "player_nick"	=> htmlspecialchars($result->player_nick),
                        "admin_ip"	=> $result->admin_ip,
                        "admin_id"	=> $result->admin_id2 ? $result->admin_id2 : $result->admin_id, /* Pavulon */
                        "admin_nick"	=> htmlspecialchars($result->admin_nick),
                        "ban_type"	=> $result->ban_type,
                        "ban_reason"	=> htmlspecialchars($result->ban_reason),
                        "ban_created"	=> ($result->ban_created + ($result->timezone_fixx * 60 * 60)),
                        "ban_length"	=> $result->ban_length,
                        "ban_end"	=> ($result->ban_created + ($result->ban_length * 60) + ($result->timezone_fixx * 60 * 60)),
                        "server_ip"	=> $result->server_ip,
                        "server_name"	=> htmlspecialchars($result->server_name),
                        "cc"		=> $cc,
                        "cn"		=> $cn
                );
                // get previous offences if any
                $query2   = mysql_query("SELECT count(player_id) as count FROM `".$config->db_prefix."_bans` WHERE player_id = '".$result->player_id."' AND ".$ban_row["ban_end"]." < '".time()."'") or die(mysql_error());
                while($result2 = mysql_fetch_object($query2)) {
                        $ban_row["bancount"] = $result2->count;
                }
                if($result->server_ip=="") {
                        $ban_row["mod"]="html";
                } else {
                        $ban_row["mod"]=($result->gametype=="" || $result->gametype=="website")?"html":$result->gametype;
                        $ban_row["nickname"]=htmlspecialchars($result->nickname);
                }
                if($config->show_kick_count=="1") {
                        $ban_row["kick_count"]=$result->ban_kicks;
                        $ban_page["show_kicks"]=1;
                }
                if($config->show_demo_count=="1") {
                        $ban_row["demo_count"]=sql_get_files_count($result->bid);
                        $ban_page["show_demos"]=1;
                }
                if($config->show_comment_count=="1") {
                        $ban_row["comment_count"]=sql_get_comments_count($result->bid);
                        $ban_page["show_comments"]=1;
                }
                $ban_list[]=$ban_row;
        }

        $smarty->assign("ban_list",$ban_list);
}

$smarty->assign("meta","");
$smarty->assign("title",$title);
$smarty->assign("title2",$title2);
$smarty->assign("version_web",$config->v_web);
if(file_exists("templates/".$config->design."/main_header.tpl")) {
	$smarty->assign("design",$config->design);
}
$smarty->assign("dir",$config->document_root);
$smarty->assign("this",$_SERVER['PHP_SELF']);
$smarty->assign("vars",$vars);
$smarty->assign("smilies",$smilies);
$smarty->assign("bbcodes",$bbcodes);
$smarty->assign("menu",$menu);
$smarty->assign("banner",$config->banner);
$smarty->assign("banner_url",$config->banner_url);
$smarty->display('bany.tpl');
?>